Bug 1274257 (CVE-2015-7849) - CVE-2015-7849 ntp: trusted keys memory corruption vulnerability
Summary: CVE-2015-7849 ntp: trusted keys memory corruption vulnerability
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-7849
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1260670
TreeView+ depends on / blocked
 
Reported: 2015-10-22 11:30 UTC by Martin Prpič
Modified: 2019-09-29 13:38 UTC (History)
3 users (show)

Fixed In Version: ntp 4.2.8p4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-23 07:53:09 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-10-22 11:30:01 UTC
The following flaw was found in ntpd:

An exploitable use-after-free vulnerability exists in the password management functionality of the Network Time Protocol. A specially crafted key file could cause a buffer overflow resulting in memory corruption. An attacker could provide a malicious password file to trigger this vulnerability.

External References:

http://talosintel.com/reports/TALOS-2015-0054/
http://support.ntp.org/bin/view/Main/SecurityNotice#October_2015_NTP_Security_Vulner

Comment 1 Martin Prpič 2015-10-23 07:53:09 UTC
Statement:

This issue did not affect the versions of ntp as shipped with Red Hat Enterprise Linux 5, 6, and 7 as these version do not include the affected code.


Note You need to log in before you can comment on or make changes to this bug.